
CFLAGS= -Wall -g -ansi -I/usr/include/SDL -std=c++14
SDLLDFLAGS= -L/usr/lib -lSDL -lpthread -lSDL_image
DEFINE= -D_XOPEN_SOURCE -D_GNU_SOURCE
GCC= g++

all : autopilot
autopilot : Autopilot.o
#	$(MAKE) -C ../backprop
	$(GCC) -o AutoPilot AutoPilot.o reseauSDL.o game.o ../backprop/couche.o ../backprop/hiddenCouche.o ../backprop/inputCouche.o ../backprop/neurone.o ../backprop/outputCouche.o ../backprop/reseau.o ../backprop/synapseMatrix.o ../backprop/synapse.o  ../backprop/Utils.o ../InterfaceCpp/sdlcommon.o -L/usr/lib -lSDL -lpthread -lSDL_image -Wno-deprecated -I/usr/include/SDL -std=c++14

Autopilot.o : AutoPilot.cpp
	$(GCC) -c AutoPilot.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated -std=c++14
	$(GCC) -c game.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated -std=c++14
	$(GCC) -c reseauSDL.cpp -L/usr/lib -I/usr/include/SDL -Wno-deprecated -std=c++14

clean : 
	rm -rf *.o
#	$(MAKE) -C ../backprop clean	

mrproper :
	rm -rf *.o
	rm -rf AutoPilot


